com.amazon.redshift.jdbc2

## Class ArrayAssistantRegistry

- java.lang.Object
- - com.amazon.redshift.jdbc2.ArrayAssistantRegistry

    public class ArrayAssistantRegistry
    extends Object

Array assistants register here.

Author:
  Minglei Tu

### Constructor Summary

Constructors
Constructor and Description
`ArrayAssistantRegistry()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ArrayAssistant` `getAssistant(int oid)`
`static void` `register(int oid, ArrayAssistant assistant)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayAssistantRegistry

    public ArrayAssistantRegistry()

### Method Detail

#### getAssistant

    public static ArrayAssistant getAssistant(int oid)

#### register

    public static void register(int oid,
                                ArrayAssistant assistant)